Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Microsoft .emc files

  1. #1
    Join Date
    Jul 2010
    Location
    Cape Town
    Posts
    67

    Default Microsoft .emc files

    My Bank has urged customers to use e-mail for statements. I complied, only to receive them in .emc format which I suspect is compressed as the file is quite small. I am sure that there is a conversion for them in openSUSE but I can't find it.

    Also, when viewing balances on line I would copy the file for record. Suddenly, all that "copies" is a .jsp file which, of course, is completely useless.

    Over to you, guys!
    Last edited by johnmidl; 04-May-2012 at 04:53. Reason: Forgot the second paragraph!

  2. #2
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Microsoft .emc files

    On 2012-05-04 13:56, johnmidl wrote:
    >
    > My Bank has urged customers to use e-mail for statements. I complied,
    > only to receive them in .emc format which I suspect is compressed as the
    > file is quite small. I am sure that there is a conversion for them in
    > openSUSE but I can't find it.


    Run "file" on the file to see what it is. My guess is that it contains a
    link to the actual message on line. I would heavily distrust statements by
    email unless with cryptographic signature and possibly encryption - so all
    the companies I have seen do not really email statements. Exceptions are
    some native internet business (not from my country, Spain).

    > Also, when viewing balances on line I would copy the file for record.
    > Suddenly, all that "copies" is a .jsp file which, of course, is
    > completely useless.


    Usually, the bank should have a feature to save to file the data. Mine
    saves to excel or csv.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  3. #3
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,448

    Default Re: Microsoft .emc files

    emc is not a supported filetype in KDE; so I would ask if you can go back to paper statements.

    I no longer receive statements in relation to my personal accounts, I keep a record of my transactions in KMyMoney and simply go online to reconcile the figures. In nearly 50 years of banking, I have never had to query a statement more than a few weeks earlier. So I don't see any point in receiving them if my KMyMoney accounts reconcile.

    I do receive paper statements in relation to my business for tax puposes.

  4. #4
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,048

    Default Re: Microsoft .emc files

    On Fri, 04 May 2012 11:56:03 +0000, johnmidl wrote:

    > My Bank has urged customers to use e-mail for statements. I complied,
    > only to receive them in .emc format which I suspect is compressed as the
    > file is quite small. I am sure that there is a conversion for them in
    > openSUSE but I can't find it.
    >
    > Also, when viewing balances on line I would copy the file for record.
    > Suddenly, all that "copies" is a .jsp file which, of course, is
    > completely useless.
    >
    > Over to you, guys!


    I found this:

    http://filext.com/file-extension/emc

    Sounds like it's an encrypted message of some sort, for which you will
    need whatever software they provide to decrypt it.

    Jim


    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  5. #5
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,048

    Default Re: Microsoft .emc files

    On Fri, 04 May 2012 22:53:52 +0000, Jim Henderson wrote:

    > Sounds like it's an encrypted message of some sort, for which you will
    > need whatever software they provide to decrypt it.


    And it looks like the reader can be found at:

    http://www.striata.com/download-the-striata-reader.html

    *And* there's a Linux version.

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  6. #6
    Join Date
    Jul 2010
    Location
    Cape Town
    Posts
    67

    Default Re: Microsoft .emc files

    For years I have been downloading balances and transactions from my Bank. It is only recently that the download fails. The Bank have not changed the process.

  7. #7
    Join Date
    Jul 2010
    Location
    Cape Town
    Posts
    67

    Default Re: Microsoft .emc files

    I see that I require libc6 which I somehow imagined to be installed (I am sure that I found it in software!!!). Is this available for download? If so, how do I download just that app?

    openSUSE 12.1

  8. #8
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,048

    Default Re: Microsoft .emc files

    On Mon, 14 May 2012 16:56:02 +0000, johnmidl wrote:

    > I see that I require libc6 which I somehow imagined to be installed (I
    > am sure that I found it in software!!!). Is this available for download?
    > If so, how do I download just that app?


    It's actually not an app, it's a library, part of glibc (which should
    already be installed on your system - look in /lib or /lib64 for
    libc.so.6).

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  9. #9
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Microsoft .emc files

    On 2012-05-14 18:56, johnmidl wrote:
    >
    > I see that I require libc6 which I somehow imagined to be installed (I
    > am sure that I found it in software!!!). Is this available for download?
    > If so, how do I download just that app?


    It is a library and it is installed. Don't even try to change it, you will
    destroy your system.

    Explain exactly what you are doing and post the exact message you get.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  10. #10
    Join Date
    Jul 2010
    Location
    Cape Town
    Posts
    67

    Default Re: Microsoft .emc files

    glibc 2.14.1-14.27.1 gives the following dependencies:

    Installed Version
    Version: 2.14.1-14.27.1
    Provides:
    libc.so.6()(64bit)
    libc.so.6(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.4)(64bit)
    libc.so.6(GLIBC_2.14)(64bit)
    libc.so.6(GLIBC_2.3.4)(64bit)
    libpthread.so.0()(64bit)
    libc.so.6(GLIBC_2.3)(64bit)
    libpthread.so.0(GLIBC_2.2.5)(64bit)
    libm.so.6()(64bit)
    libm.so.6(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.7)(64bit)
    libdl.so.2()(64bit)
    libdl.so.2(GLIBC_2.2.5)(64bit)
    librt.so.1()(64bit)
    librt.so.1(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.11)(64bit)
    libpthread.so.0(GLIBC_2.3.2)(64bit)
    libc.so.6(GLIBC_2.8)(64bit)
    libc.so.6(GLIBC_2.3.2)(64bit)
    ld-linux-x86-64.so.2()(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
    libresolv.so.2()(64bit)
    libc.so.6(GLIBC_2.3.3)(64bit)
    libresolv.so.2(GLIBC_2.2.5)(64bit)
    libcrypt.so.1()(64bit)
    libc.so.6(GLIBC_2.10)(64bit)
    libcrypt.so.1(GLIBC_2.2.5)(64bit)
    libnsl.so.1()(64bit)
    libpthread.so.0(GLIBC_2.3.3)(64bit)
    libnsl.so.1(GLIBC_2.2.5)(64bit)
    libutil.so.1()(64bit)
    libutil.so.1(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.9)(64bit)
    libc.so.6(GLIBC_2.5)(64bit)
    libc.so.6(GLIBC_2.6)(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.2.5)(64bit)
    librt.so.1(GLIBC_2.3.3)(64bit)
    librt.so.1(GLIBC_2.3.4)(64bit)
    libc.so.6(GLIBC_PRIVATE)(64bit)
    libpthread.so.0(GLIBC_2.3.4)(64bit)
    libresolv.so.2(GLIBC_2.9)(64bit)
    rtld(GNU_HASH)
    ld-linux-x86-64.so.2(GLIBC_PRIVATE)(64bit)
    libnsl.so.1(GLIBC_PRIVATE)(64bit)
    libnss_files.so.2()(64bit)
    libnss_files.so.2(GLIBC_PRIVATE)(64bit)
    libpthread.so.0(GLIBC_PRIVATE)(64bit)
    libresolv.so.2(GLIBC_PRIVATE)(64bit)
    libc.so.6(GLIBC_2.12)(64bit)
    libcrypt.so.1(OW_CRYPT_1.0)(64bit)
    libthread_db.so.1()(64bit)
    libthread_db.so.1(GLIBC_2.2.5)(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.4)(64bit)
    libBrokenLocale.so.1()(64bit)
    libBrokenLocale.so.1(GLIBC_2.2.5)(64bit)
    libSegFault.so()(64bit)
    libanl.so.1()(64bit)
    libanl.so.1(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.13)(64bit)
    libc.so.6(GLIBC_2.2.6)(64bit)
    libcidn.so.1()(64bit)
    libcidn.so.1(GLIBC_PRIVATE)(64bit)
    libdl.so.2(GLIBC_2.3.3)(64bit)
    libdl.so.2(GLIBC_2.3.4)(64bit)
    libdl.so.2(GLIBC_PRIVATE)(64bit)
    libm.so.6(GLIBC_2.4)(64bit)
    libnss_compat.so.2()(64bit)
    libnss_compat.so.2(GLIBC_PRIVATE)(64bit)
    libnss_dns.so.2()(64bit)
    libnss_dns.so.2(GLIBC_PRIVATE)(64bit)
    libnss_hesiod.so.2()(64bit)
    libnss_hesiod.so.2(GLIBC_PRIVATE)(64bit)
    libnss_nis.so.2()(64bit)
    libnss_nis.so.2(GLIBC_PRIVATE)(64bit)
    libnss_nisplus.so.2()(64bit)
    libnss_nisplus.so.2(GLIBC_PRIVATE)(64bit)
    libpthread.so.0(GLIBC_2.11)(64bit)
    libpthread.so.0(GLIBC_2.12)(64bit)
    libpthread.so.0(GLIBC_2.2.6)(64bit)
    libpthread.so.0(GLIBC_2.4)(64bit)
    libresolv.so.2(GLIBC_2.3.2)(64bit)
    librt.so.1(GLIBC_2.4)(64bit)
    librt.so.1(GLIBC_2.7)(64bit)
    libthread_db.so.1(GLIBC_2.3)(64bit)
    libthread_db.so.1(GLIBC_2.3.3)(64bit)
    ngpt = 2.2.2
    ngpt-devel = 2.2.2
    config(glibc) = 2.14.1-14.27.1
    glibc = 2.14.1-14.27.1
    glibc(x86-64) = 2.14.1-14.27.1
    /sbin/ldconfig
    /usr/bin/getent
    /usr/sbin/glibc_post_upgrade
    /usr/bin/locale
    /usr/bin/gencat
    /usr/bin/iconv
    /usr/bin/getconf
    /usr/bin/localedef
    libc.so.6()(64bit)
    libc.so.6(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.4)(64bit)
    libc.so.6(GLIBC_2.3.4)(64bit)
    libc.so.6(GLIBC_2.14)(64bit)
    libc.so.6(GLIBC_2.3)(64bit)
    libpthread.so.0()(64bit)
    libpthread.so.0(GLIBC_2.2.5)(64bit)
    libm.so.6()(64bit)
    libm.so.6(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.7)(64bit)
    libdl.so.2()(64bit)
    libdl.so.2(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.11)(64bit)
    libc.so.6(GLIBC_2.8)(64bit)
    libpthread.so.0(GLIBC_2.3.2)(64bit)
    librt.so.1()(64bit)
    librt.so.1(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.3.2)(64bit)
    ld-linux-x86-64.so.2()(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
    libresolv.so.2()(64bit)
    libresolv.so.2(GLIBC_2.2.5)(64bit)
    libpthread.so.0(GLIBC_2.3.3)(64bit)
    libcrypt.so.1()(64bit)
    libutil.so.1()(64bit)
    libutil.so.1(GLIBC_2.2.5)(64bit)
    libcrypt.so.1(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.6)(64bit)
    libnsl.so.1()(64bit)
    libc.so.6(GLIBC_2.10)(64bit)
    libc.so.6(GLIBC_2.9)(64bit)
    libnsl.so.1(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.3.3)(64bit)
    libc.so.6(GLIBC_2.5)(64bit)
    libc.so.6(GLIBC_2.12)(64bit)
    libresolv.so.2(GLIBC_2.9)(64bit)
    librt.so.1(GLIBC_2.3.4)(64bit)
    ld-linux-x86-64.so.2(GLIBC_PRIVATE)(64bit)
    libc.so.6(GLIBC_PRIVATE)(64bit)
    libcrypt.so.1(OW_CRYPT_1.0)(64bit)
    librt.so.1(GLIBC_2.3.3)(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.2.5)(64bit)
    libnsl.so.1(GLIBC_PRIVATE)(64bit)
    libnss_files.so.2()(64bit)
    libnss_files.so.2(GLIBC_PRIVATE)(64bit)
    libpthread.so.0(GLIBC_2.3.4)(64bit)
    libpthread.so.0(GLIBC_2.4)(64bit)
    libpthread.so.0(GLIBC_PRIVATE)(64bit)
    libresolv.so.2(GLIBC_PRIVATE)(64bit)
    libthread_db.so.1()(64bit)
    libthread_db.so.1(GLIBC_2.2.5)(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.4)(64bit)
    libBrokenLocale.so.1()(64bit)
    libBrokenLocale.so.1(GLIBC_2.2.5)(64bit)
    libSegFault.so()(64bit)
    libanl.so.1()(64bit)
    libanl.so.1(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.13)(64bit)
    libc.so.6(GLIBC_2.2.6)(64bit)
    libcidn.so.1()(64bit)
    libcidn.so.1(GLIBC_PRIVATE)(64bit)
    libdl.so.2(GLIBC_2.3.3)(64bit)
    libdl.so.2(GLIBC_2.3.4)(64bit)
    libdl.so.2(GLIBC_PRIVATE)(64bit)
    libm.so.6(GLIBC_2.4)(64bit)
    libnss_compat.so.2()(64bit)
    libnss_compat.so.2(GLIBC_PRIVATE)(64bit)
    libnss_dns.so.2()(64bit)
    libnss_dns.so.2(GLIBC_PRIVATE)(64bit)
    libnss_hesiod.so.2()(64bit)
    libnss_hesiod.so.2(GLIBC_PRIVATE)(64bit)
    libnss_nis.so.2()(64bit)
    libnss_nis.so.2(GLIBC_PRIVATE)(64bit)
    libnss_nisplus.so.2()(64bit)
    libnss_nisplus.so.2(GLIBC_PRIVATE)(64bit)
    libpthread.so.0(GLIBC_2.11)(64bit)
    libpthread.so.0(GLIBC_2.12)(64bit)
    libpthread.so.0(GLIBC_2.2.6)(64bit)
    libresolv.so.2(GLIBC_2.3.2)(64bit)
    librt.so.1(GLIBC_2.4)(64bit)
    librt.so.1(GLIBC_2.7)(64bit)
    libthread_db.so.1(GLIBC_2.3)(64bit)
    libthread_db.so.1(GLIBC_2.3.3)(64bit)
    rtld(GNU_HASH)
    config(glibc) = 2.14.1-14.27.1
    ngpt-devel = 2.2.2
    ngpt = 2.2.2
    glibc = 2.14.1-14.27.1
    glibc(x86-64) = 2.14.1-14.27.1
    /sbin/ldconfig
    /usr/bin/getent
    /usr/bin/iconv
    /usr/sbin/glibc_post_upgrade
    /usr/bin/gencat
    /usr/bin/getconf
    /usr/bin/locale
    /usr/bin/localedef
    Prerequires:
    filesystem
    /usr/sbin/glibc_post_upgrade
    /sbin/ldconfig
    filesystem
    /usr/sbin/glibc_post_upgrade
    Requires:
    /bin/sh
    libc.so.6()(64bit)
    libc.so.6(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.14)(64bit)
    libpthread.so.0()(64bit)
    /sbin/ldconfig
    libc.so.6(GLIBC_2.3)(64bit)
    libpthread.so.0(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.3.2)(64bit)
    ld-linux-x86-64.so.2()(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
    libresolv.so.2()(64bit)
    libc.so.6(GLIBC_2.3.3)(64bit)
    libresolv.so.2(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.10)(64bit)
    libnsl.so.1()(64bit)
    libnsl.so.1(GLIBC_2.2.5)(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_PRIVATE)(64bit)
    libresolv.so.2(GLIBC_2.9)(64bit)
    ld-linux-x86-64.so.2(GLIBC_PRIVATE)(64bit)
    libnsl.so.1(GLIBC_PRIVATE)(64bit)
    libnss_files.so.2()(64bit)
    libnss_files.so.2(GLIBC_PRIVATE)(64bit)
    libpthread.so.0(GLIBC_PRIVATE)(64bit)
    libresolv.so.2(GLIBC_PRIVATE)(64bit)
    config(glibc) = 2.14.1-14.27.1
    filesystem
    /usr/sbin/glibc_post_upgrade
    libc.so.6()(64bit)
    libc.so.6(GLIBC_2.2.5)(64bit)
    /bin/sh
    libc.so.6(GLIBC_2.14)(64bit)
    libc.so.6(GLIBC_2.3)(64bit)
    libpthread.so.0()(64bit)
    libpthread.so.0(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.3.2)(64bit)
    ld-linux-x86-64.so.2()(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
    libresolv.so.2()(64bit)
    libresolv.so.2(GLIBC_2.2.5)(64bit)
    libnsl.so.1()(64bit)
    libc.so.6(GLIBC_2.10)(64bit)
    libnsl.so.1(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.3.3)(64bit)
    libresolv.so.2(GLIBC_2.9)(64bit)
    ld-linux-x86-64.so.2(GLIBC_PRIVATE)(64bit)
    libc.so.6(GLIBC_PRIVATE)(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.2.5)(64bit)
    libnsl.so.1(GLIBC_PRIVATE)(64bit)
    libnss_files.so.2()(64bit)
    libnss_files.so.2(GLIBC_PRIVATE)(64bit)
    libpthread.so.0(GLIBC_PRIVATE)(64bit)
    libresolv.so.2(GLIBC_PRIVATE)(64bit)
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(PayloadIsLzma) <= 4.4.6-1
    config(glibc) = 2.14.1-14.27.1
    /sbin/ldconfig
    filesystem
    /usr/sbin/glibc_post_upgrade
    Conflicts:
    kernel < 2.6.16
    kernel < 2.6.16
    Obsoletes:
    ngpt < 2.2.2
    ngpt-devel < 2.2.2
    ngpt < 2.2.2
    ngpt-devel < 2.2.2

    I see that libc.so.6 appears a number of times (?). File list contains /lib64/libc.so.6

    Installation gives message:

    john@linux-ej9d:~/Documents> tar -xzf /home/john/Documents/striata-reader-2.13-1.tar.gz
    tar: striata-reader/uninstall.sh: Cannot open: File exists
    tar: striata-reader/install.sh: Cannot open: File exists
    tar: striata-reader/usr/bin/striata-reader-gui.py: Cannot open: File exists
    tar: striata-reader/usr/bin/striata-reader: Cannot open: File exists
    tar: striata-reader/usr/bin/striata-readerc: Cannot open: File exists
    tar: striata-reader/usr/bin: Cannot utime: Operation not permitted
    tar: striata-reader/usr/bin: Cannot change mode to rwxr-xr-x: Operation not permitted
    tar: striata-reader/usr/share/striata-reader/striata-emc.xml: Cannot open: File exists
    tar: striata-reader/usr/share/striata-reader/striata-emd.xml: Cannot open: File exists
    tar: striata-reader/usr/share/striata-reader/striata-emc.png: Cannot open: File exists
    tar: striata-reader/usr/share/striata-reader/striata-keymail.desktop: Cannot open: File exists
    tar: striata-reader/usr/share/striata-reader: Cannot utime: Operation not permitted
    tar: striata-reader/usr/share/striata-reader: Cannot change mode to rwxr-xr-x: Operation not permitted
    tar: striata-reader/usr/share: Cannot utime: Operation not permitted
    tar: striata-reader/usr/share: Cannot change mode to rwxr-xr-x: Operation not permitted
    tar: striata-reader/usr: Cannot utime: Operation not permitted
    tar: striata-reader/usr: Cannot change mode to rwxr-xr-x: Operation not permitted
    tar: striata-reader: Cannot utime: Operation not permitted
    tar: striata-reader: Cannot change mode to rwxr-xr-x: Operation not permitted
    tar: Exiting with failure status due to previous errors
    john@linux-ej9d:~/Documents>

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •